## standard daily qc on all sef files

rm(list=ls())

require(dataresqc)
source("code/data_prep/scripts/C000_helpfun.R")

qc_new <- T

sef <- "code/data_prep/daymeans/sef/"
qced <- "code/data_prep/daymeans/qced/"
outpath <- "code/data_prep/daymeans/sef/autoqc"
manpath <- "code/data_prep/daymeans/sef/manualqc"
seffiles <- list.files(sef,pattern="_ta_|_rr_|_p_")
#seffiles <- seffiles[!grepl("qc|not_corrected",seffiles)]

ss <- seffiles[1]

if(qc_new){
  for (ss in seffiles){
    qc(paste0(sef, ss),outpath = outpath)
  }
  }

## autoqc
flgfiles <- list.files(outpath,pattern="qc_",full.names = T)
lapply(1:length(seffiles),function(x) {
  print(seffiles[x])
  abbr <- read_meta(paste0(sef,seffiles[x]))["id"]
  var <- read_meta(paste0(sef,seffiles[x]))["var"]
  ff <- flgfiles[grepl(paste0(abbr,"_",var), flgfiles)]
  if(!length(ff)<1){
    write_flags(paste0(sef,seffiles[x]), ff, outpath = "code/data_prep/daymeans/qced/", note = "")
  } 
})


flgfiles <- list.files(manpath,pattern="qc_",full.names = T)
lapply(1:length(flgfiles),function(x) {
  print(flgfiles[x])
  var <- read.table(paste0(flgfiles[x]),header=T)[1,1]
  abbr <- gsub(paste0("_",var,"_daily.txt"),"",gsub(".*qc_","",flgfiles[x]))
  seffile <- seffiles[grepl(paste0(abbr,".*",var), seffiles)]
  write_flags(paste0(qced,seffile), flgfiles[x], outpath = "code/data_prep/daymeans/qced/", note = "", match=FALSE)
})
